
#include <p18f448.h>
#include "GLCD.h"

#pragma config WDT = OFF, LVP = OFF, OSC = HS

const rom unsigned char Logo[];

void main (void){
unsigned char i;
	ADCON1=0x0E;	// all digital
	CMCON=7;		// no comparators
	Init_GLCD(); 
	// ascii 22 (0x16) is set position followed by x,y
	PutMessage((rom char*)"\x16\x22\x08 AtomSoftTech\x16\x20\x10 \n Title:\n Author:\n Date:\n Hardware:");
	PutMessage((rom char*)"\x16\x38\x18 Graphic demo.");
	PutMessage((rom char*)"\x16\x38\x20 Mike/Jason.");
	PutMessage((rom char*)"\x16\x38\x28 Jan 16 2009.");
	PutMessage((rom char*)"\x16\x38\x30 18F448.");

	while (1);
}

const rom unsigned char Logo[]={
	20,21,					// width,height
    0x00,0x06,0x00,0x60,	// raster data - no padding.
    0x00,0x40,0x2F,0x00,
    0xFC,0x03,0x80,0x1F,
    0x00,0xF8,0x01,0x92,
    0x9F,0xF4,0xFB,0xFD,
    0xFE,0xFF,0xE7,0xFF,
    0x7F,0xFF,0xFF,0xEF,
    0xFF,0x7F,0xFC,0xFF,
    0x83,0xFF,0x1F,0xF0,
    0xFF,0x00,0xFE,0x07,
    0xF0,0xFF,0x00,0x60,
    0x00,0x00,0x06,0x00,
    0x60,0x00,0x00,0x06,
	0x00
};
